<?php
require_once('conecta.php');

if ($_GET['vagas'] == 1) {
    // Recuperando os dados do formulário
    $empresa = $_POST["empresa"];
    $titulo = $_POST["titulo"];
    $status = $_POST["status"];
    $descricao = $_POST["descricao"];
    $salario = $_POST["salario"];
    $requisitos = $_POST["requisitos"];
    $beneficios = $_POST["beneficios"];
    $quantidade = $_POST["quantidade"];
    $categoria = $_POST["categoria"];

    // Inserindo os dados na tabela "vagas"
    $sql = "INSERT INTO vagas (
        empresa, titulo, status, descricao, salario, requisitos, beneficios, quantidade, categoria
    ) VALUES (
        :empresa, :titulo, :status, :descricao, :salario, :requisitos, :beneficios, :quantidade, :categoria
    )";

    // Preparando a query
    $stmt = $pdo->prepare($sql);

    // Atribuindo os valores do formulário aos placeholders
    $stmt->bindParam(':empresa', $empresa);
    $stmt->bindParam(':titulo', $titulo);
    $stmt->bindParam(':status', $status);
    $stmt->bindParam(':descricao', $descricao);
    $stmt->bindParam(':salario', $salario);
    $stmt->bindParam(':requisitos', $requisitos);
    $stmt->bindParam(':beneficios', $beneficios);
    $stmt->bindParam(':quantidade', $quantidade);
    $stmt->bindParam(':categoria', $categoria);

    // Executando a query
    if ($stmt->execute()) {
        // Redireciona o usuário para uma página de sucesso
        header('Location: ../vagas.php?adicionado=ok');
        exit;
    } else {
        echo "Erro ao inserir dados: " . $stmt->errorInfo()[2];
    }

    // Fechando a conexão
    $pdo = null;
}


//<!-- UPDATE -->
if ($_GET['vagas'] == 2) {


    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $empresa = $_POST["empresa"];
    $titulo = $_POST["titulo"];
    $status = $_POST["status"];
    $descricao = $_POST["descricao"];
    $salario = $_POST["salario"];
    $requisitos = $_POST["requisitos"];
    $beneficios = $_POST["beneficios"];
    $quantidade = $_POST["quantidade"];
    $categoria = $_POST["categoria"];

    // Atualiza os dados da vaga sem o logo
    $sql = "UPDATE vagas 
            SET empresa='$empresa', 
                titulo='$titulo', 
                status='$status', 
                descricao='$descricao', 
                salario='$salario', 
                requisitos='$requisitos', 
                beneficios='$beneficios', 
                quantidade='$quantidade',
                categoria='$categoria' 
            WHERE id=$idpagina";

    // Executa a query
    if (mysqli_query($conn, $sql)) {
        header('Location: ../vagas_update.php?atualizado=ok&id=' . $idpagina);
        exit;
    } else {
        echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão
    mysqli_close($conn);
}


//<!-- DELETAR SLIDERS -->
if ($_GET['vagas'] == 3) {



    $idpagina = $_GET['id'];

    // Delete the user with ID 123
    $sql = "DELETE FROM vagas WHERE id = $idpagina";
    if (mysqli_query($conn, $sql)) {
        header("location: ../vagas.php?apagou=ok");
    } else {
        echo "Error deleting user: " . mysqli_error($conn);
    }

    // Close the connection
    mysqli_close($conn);
}
